searchData={"items":[{"type":"module","title":"GqlCase","doc":"This module defines helper macros to work with Graphql and Guardian","ref":"GqlCase.html"},{"type":"function","title":"GqlCase.add_headers/3","doc":"","ref":"GqlCase.html#add_headers/3"},{"type":"macro","title":"GqlCase.load_gql/1","doc":"Call this macro in the module you wish to load your GQL document in.\n\nIt takes one argument, the path to a GQL file that contains a GraphQL query or mutation.\n\nFor example:\n```elixir\ndefmodule MyApp do\n  load_gql MyApp.MyAbsintheSchema, \"assets/js/queries/MyQuery.gql\"\n  # ...\nend\n```","ref":"GqlCase.html#load_gql/1"},{"type":"macro","title":"GqlCase.query_gql/1","doc":"Call this macro in the module you've loaded a document into using `load_gql`.\n\nCalling this will execute the document loaded into the module against gql path loaded in the module.\nIt accepts a keyword list for `options`. These options might be `variables` and `current_user`.\n\nReturns the query result from the HTTP GQL call.\n\nFor example:\n```elixir\nresult = query_gql(variables: %{}, current_user: %{})\n%{\"data\" => %{} = result \n```","ref":"GqlCase.html#query_gql/1"},{"type":"module","title":"GqlCase.GqlLoader","doc":"Defines the functions used to load GQL documents based on the document path.","ref":"GqlCase.GqlLoader.html"},{"type":"function","title":"GqlCase.GqlLoader.load_file!/1","doc":"When provided a path to a GQL document, expands all import statements and attempts to parses it with Absinthe.\n\nReturns the query string source with imports appended.\n\nFor example:\n```elixir\nload_file!(\"assets/js/MyQuery.gql\")\n```","ref":"GqlCase.GqlLoader.html#load_file!/1"},{"type":"function","title":"GqlCase.GqlLoader.load_string!/1","doc":"When provided the source code of a GQL document, expands all import statements and attempts to parses it with Absinthe.\n\nReturns the query string source with imports appended.\n\nFor example:\n```elixir\nload_string!(@my_query_source)\n```","ref":"GqlCase.GqlLoader.html#load_string!/1"},{"type":"exception","title":"GqlCase.GqlLoader.ImportError","doc":"Exception raised when we can't find a file imported via an\n`#import \"some_file.gql\"` statement","ref":"GqlCase.GqlLoader.ImportError.html"},{"type":"function","title":"GqlCase.GqlLoader.ImportError.message/1","doc":"Callback implementation for  Exception.message/1 .","ref":"GqlCase.GqlLoader.ImportError.html#message/1"},{"type":"exception","title":"GqlCase.GqlLoader.LoaderError","doc":"Exception raised when we can't find or access a file","ref":"GqlCase.GqlLoader.LoaderError.html"},{"type":"function","title":"GqlCase.GqlLoader.LoaderError.message/1","doc":"Callback implementation for  Exception.message/1 .","ref":"GqlCase.GqlLoader.LoaderError.html#message/1"},{"type":"exception","title":"GqlCase.GqlLoader.ParseError","doc":"Exception raised when we get a bad result from Absinthe's Parse phase.\nIt should provide some useful information as to where the error lays in the document.","ref":"GqlCase.GqlLoader.ParseError.html"},{"type":"function","title":"GqlCase.GqlLoader.ParseError.message/1","doc":"Callback implementation for  Exception.message/1 .","ref":"GqlCase.GqlLoader.ParseError.html#message/1"},{"type":"exception","title":"GqlCase.SetupError","doc":"Exception that is raised when GqlCase is called improperly","ref":"GqlCase.SetupError.html"},{"type":"function","title":"GqlCase.SetupError.message/1","doc":"Callback implementation for  Exception.message/1 .","ref":"GqlCase.SetupError.html#message/1"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}